<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Person;

class WssFieldPersonAnredetitelAuswahl extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  public function getFieldName(): string
  {
    return 'name_titel'; 
    
  }

  public function isValid($value, bool $checkPflichtfelder = true): bool
  {
    if ($value === '') {
      return true;
    }

    $dbwTitel = new \DBWorkTitel();

    return \in_array($value, $dbwTitel->getTitleNames());
  }
}